## org.openqa.selenium.server
Class RemoteControlConfiguration

    java.lang.Object
      org.openqa.selenium.server.RemoteControlConfiguration

    public class RemoteControlConfiguration

extends java.lang.Object

Encapsulate Remote Control Configuration

Field Summary
`static int` `DEFAULT_PORT`
`static int` `DEFAULT_RETRY_TIMEOUT_IN_SECONDS`
`static int` `DEFAULT_TIMEOUT_IN_SECONDS`
`static int` `MINUTES`

Constructor Summary
`RemoteControlConfiguration()`

Method Summary
`void` `copySettingsIntoBrowserOptions(BrowserConfigurationOptions browserOptions)`
`boolean` `dontTouchLogging()`
`java.lang.String` `getDebugURL()`
`static java.lang.String` `getDefaultLogOutFile()`
`static int` `getDefaultPort()`
`java.lang.String` `getDontInjectRegex()`
`java.io.File` `getFirefoxProfileTemplate()`
`java.lang.String` `getForcedBrowserMode()`
`int` `getJettyThreads()`
`java.io.File` `getLogOutFile()`
`java.lang.String` `getLogOutFileName()`
`int` `getPort()`
`int` `getPortDriversShouldContact()`
`java.io.File` `getProfilesLocation()`
`boolean` `getProxyInjectionModeArg()`
`int` `getRetryTimeoutInSeconds()`
`SeleniumServer` `getSeleniumServer()`
`java.io.File` `getSelfTestDir()`
`int` `getTimeoutInSeconds()`
`java.io.File` `getUserExtensions()`
`boolean` `honorSystemProxy()`
`boolean` `isAvoidProxy()`
`boolean` `isBrowserSideLogEnabled()`
`boolean` `isDebugMode()`
`boolean` `isEnsureCleanSession()`
`boolean` `isHTMLSuite()`
`boolean` `isInteractive()`
`boolean` `isSelfTest()`
`boolean` `isSingleWindow()`
`boolean` `reuseBrowserSessions()`
`void` `setAvoidProxy(boolean value)`
`void` `setBrowserSideLogEnabled(boolean value)`
`void` `setDebugMode(boolean debugMode)`
`void` `setDebugURL(java.lang.String newDebugURL)`
`void` `setDontInjectRegex(java.lang.String newdontInjectRegex)`
`void` `setDontTouchLogging(boolean newValue)`
`void` `setEnsureCleanSession(boolean value)`
`void` `setFirefoxProfileTemplate(java.io.File newFirefoxProfileTemplate)`
`void` `setForcedBrowserMode(java.lang.String newForcedBrowserMode)`
`void` `setHonorSystemProxy(boolean willHonorSystemProxy)`
`void` `setHTMLSuite(boolean isHTMLSuite)`
`void` `setInteractive(boolean isInteractive)`
`void` `setJettyThreads(int jettyThreads)`
`void` `setLogOutFile(java.io.File newLogOutFile)`
`void` `setLogOutFileName(java.lang.String newLogOutFileName)`
`void` `setPort(int newPortNumber)`
`void` `setPortDriversShouldContact(int newPortDriversShouldContact)`
`void` `setProfilesLocation(java.io.File profilesLocation)`
`void` `setProxyInjectionModeArg(boolean proxyInjectionModeArg)`
`void` `setRetryTimeoutInSeconds(int newRetryTimeoutInSeconds)`
`void` `setReuseBrowserSessions(boolean reuseBrowserSessions)`
`void` `setSeleniumServer(SeleniumServer server)`
`void` `setSelfTest(boolean isSelftest)`
`void` `setSelfTestDir(java.io.File newSelfTestDir)`
`void` `setSingleWindow(boolean useSingleWindow)`
`void` `setTimeoutInSeconds(int newTimeoutInSeconds)`
`void` `setTrustAllSSLCertificates(boolean trustAllSSLCertificates)`
`void` `setUserExtensions(java.io.File newuserExtensions)`
`void` `setUserJSInjection(boolean useUserJSInjection)`
`int` `shortTermMemoryLoggerCapacity()`
`boolean` `shouldOverrideSystemProxy()`
`boolean` `trustAllSSLCertificates()`
`boolean` `userJSInjection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### MINUTES

    public static final int MINUTES

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT_IN_SECONDS

    public static final int DEFAULT_TIMEOUT_IN_SECONDS

See Also:
  Constant Field Values

### DEFAULT_RETRY_TIMEOUT_IN_SECONDS

    public static final int DEFAULT_RETRY_TIMEOUT_IN_SECONDS

See Also:
  Constant Field Values

Constructor Detail

### RemoteControlConfiguration

    public RemoteControlConfiguration()

Method Detail

### getPort

    public int getPort()

### setPort

    public void setPort(int newPortNumber)

### isSingleWindow

    public boolean isSingleWindow()

### setSingleWindow

    public void setSingleWindow(boolean useSingleWindow)

### getProfilesLocation

    public java.io.File getProfilesLocation()

### setProfilesLocation

    public void setProfilesLocation(java.io.File profilesLocation)

### setProxyInjectionModeArg

    public void setProxyInjectionModeArg(boolean proxyInjectionModeArg)

### getProxyInjectionModeArg

    public boolean getProxyInjectionModeArg()

### setPortDriversShouldContact

    public void setPortDriversShouldContact(int newPortDriversShouldContact)

### getPortDriversShouldContact

    public int getPortDriversShouldContact()

### setHTMLSuite

    public void setHTMLSuite(boolean isHTMLSuite)

### isHTMLSuite

    public boolean isHTMLSuite()

### isSelfTest

    public boolean isSelfTest()

### setSelfTest

    public void setSelfTest(boolean isSelftest)

### setSelfTestDir

    public void setSelfTestDir(java.io.File newSelfTestDir)

### getSelfTestDir

    public java.io.File getSelfTestDir()

### isInteractive

    public boolean isInteractive()

### setInteractive

    public void setInteractive(boolean isInteractive)

### getUserExtensions

    public java.io.File getUserExtensions()

### setUserExtensions

    public void setUserExtensions(java.io.File newuserExtensions)

### userJSInjection

    public boolean userJSInjection()

### setUserJSInjection

    public void setUserJSInjection(boolean useUserJSInjection)

### setTrustAllSSLCertificates

    public void setTrustAllSSLCertificates(boolean trustAllSSLCertificates)

### trustAllSSLCertificates

    public boolean trustAllSSLCertificates()

### getDebugURL

    public java.lang.String getDebugURL()

### setDebugURL

    public void setDebugURL(java.lang.String newDebugURL)

### isDebugMode

    public boolean isDebugMode()

### setDebugMode

    public void setDebugMode(boolean debugMode)

### setDontInjectRegex

    public void setDontInjectRegex(java.lang.String newdontInjectRegex)

### getDontInjectRegex

    public java.lang.String getDontInjectRegex()

### getFirefoxProfileTemplate

    public java.io.File getFirefoxProfileTemplate()

### setFirefoxProfileTemplate

    public void setFirefoxProfileTemplate(java.io.File newFirefoxProfileTemplate)

### setReuseBrowserSessions

    public void setReuseBrowserSessions(boolean reuseBrowserSessions)

### reuseBrowserSessions

    public boolean reuseBrowserSessions()

### setLogOutFileName

    public void setLogOutFileName(java.lang.String newLogOutFileName)

### getLogOutFileName

    public java.lang.String getLogOutFileName()

### setLogOutFile

    public void setLogOutFile(java.io.File newLogOutFile)

### getLogOutFile

    public java.io.File getLogOutFile()

### getDefaultLogOutFile

    public static java.lang.String getDefaultLogOutFile()

### setForcedBrowserMode

    public void setForcedBrowserMode(java.lang.String newForcedBrowserMode)

### getForcedBrowserMode

    public java.lang.String getForcedBrowserMode()

### getDefaultPort

    public static int getDefaultPort()

### honorSystemProxy

    public boolean honorSystemProxy()

### setHonorSystemProxy

    public void setHonorSystemProxy(boolean willHonorSystemProxy)

### shouldOverrideSystemProxy

    public boolean shouldOverrideSystemProxy()

### getTimeoutInSeconds

    public int getTimeoutInSeconds()

### setTimeoutInSeconds

    public void setTimeoutInSeconds(int newTimeoutInSeconds)

### getRetryTimeoutInSeconds

    public int getRetryTimeoutInSeconds()

### setRetryTimeoutInSeconds

    public void setRetryTimeoutInSeconds(int newRetryTimeoutInSeconds)

### dontTouchLogging

    public boolean dontTouchLogging()

### setDontTouchLogging

    public void setDontTouchLogging(boolean newValue)

### shortTermMemoryLoggerCapacity

    public int shortTermMemoryLoggerCapacity()

### isEnsureCleanSession

    public boolean isEnsureCleanSession()

### setEnsureCleanSession

    public void setEnsureCleanSession(boolean value)

### isAvoidProxy

    public boolean isAvoidProxy()

### setAvoidProxy

    public void setAvoidProxy(boolean value)

### isBrowserSideLogEnabled

    public boolean isBrowserSideLogEnabled()

### setBrowserSideLogEnabled

    public void setBrowserSideLogEnabled(boolean value)

### getJettyThreads

    public int getJettyThreads()

### setJettyThreads

    public void setJettyThreads(int jettyThreads)

### getSeleniumServer

    public SeleniumServer getSeleniumServer()

### setSeleniumServer

    public void setSeleniumServer(SeleniumServer server)

### copySettingsIntoBrowserOptions

    public void copySettingsIntoBrowserOptions(BrowserConfigurationOptions browserOptions)

Copyright © 2009. All Rights Reserved.